QGIS Application - Bug report #15492
Iterative execution of algorithms doesn’'t work.
2016-08-28 03:24 PM - Nobuhiko Yoshimura

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 23416
Description

| was trying to clip dem by watersheds.
It was same process as below.

http://docs.qgis.org/2.2/ja/docs/training_manual/processing/iterative.html

But it doesn't work when it iterates.
Without iteration, | could clip my data.
I made sure that polygon(watersheds) and raster(dem) have same CRS.

| think this function is very useful for everyone.
Please give me some idea to fix this problem.

error message from QGIS
AttributeError: 'NoneType' object has no attribute 'error’
Traceback (most recent call last):
File "C:/PROGRA~1/QGIS21~1.1/apps/qgis/./python/plugins\\processing\\gui\\AlgorithmDialog.py", line 238, in accept
if runalglterating(self.alg, self.iterateParam, self):
File "C:/PROGRA~1/QGIS21~1.1/apps/qgis/./python/plugins\\processing\\gui\\AlgorithmExecutor.py", line 90, in runalglterating
if runalg(alg):
File "C:/PROGRA~1/QGIS21~1.1/apps/qgis/./python/plugins\\processing\\gui\\AlgorithmExecutor.py", line 52, in runalg
progress.error(e.msg)
AttributeError: 'NoneType' object has no attribute 'error’

Python version: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]
QGIS version: 2.16.1-Nadebo Nadebo, 8545b3b

History

#1 - 2017-04-27 06:16 AM - Alexander Bruy
- OS version deleted (10)

- Category set to Processing/Core

- Operating System deleted (Windows)

#2 - 2017-05-01 01:03 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2017-11-28 07:55 AM - Alexander Bruy
- Description updated
http://docs.qgis.org/2.2/ja/docs/training_manual/processing/iterative.html

- Status changed from Open to Feedback

Please check with latest 2.18 and master

#4 - 2018-01-17 07:35 PM - Alexander Bruy
- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.

#5 - 2018-02-22 11:36 AM - Giovanni Manghi

- Resolution set to not reproducable
